# Extra Clang Tools 6 documentation

## clang-tidy - modernize-use-using

# modernize-use-using

The check converts the usage of `typedef` with `using` keyword.

Before:

    typedef int variable;

    class Class{};
    typedef void (Class::* MyPtrType)() const;

After:

    using variable = int;

    class Class{};
    using MyPtrType = void (Class::*)() const;

This check requires using C++11 or higher to run.

## Options

`IgnoreMacros```

  If set to non-zero, the check will not give warnings inside macros. Default is 1.